<!DOCTYPE html>
<html
	xmlns:th="http://www.thymeleaf.org"
	xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
	layout:decorate="~{layouts/app.html}"
>
	<head>
		<title layout:title-pattern="$CONTENT_TITLE - $LAYOUT_TITLE">
			Dashboard
		</title>
	</head>
	<body layout:fragment="content">
		<div class="container mx-auto px-4">
			<div class="grid grid-cols-3 gap-8 mt-24 mb-10">
				<div class="col-span-3 lg:col-span-2 space-y-8">
					<div
						class="flex flex-wrap lg:flex-nowrap lg:flex-row-reverse rounded-xl overflow-hidden bg-gray-100 dark:bg-gray-800"
					>
						<div class="p-6">
							<h1
								class="text-xl font-semibold text-gray-800 dark:text-gray-200 mb-2"
							>
								<span class="text-blue-700 dark:text-blue-500">Hai.</span> <span th:text="${session.userDetail.studentName}"></span>
							</h1>
							<p class="text-lg text-gray-600 dark:text-gray-400 mb-4">
								Selamat datang di aplikasi Smile, manajemen sistem informasi
								akademik Institut Tazkia, saat ini anda sedang berada di semester <span th:text="${session.semester} ?: 'I'"></span>,
							</p>
							<div class="flex gap-2 text-gray-600 dark:text-gray-400">
								<svg
									class="w-6 h-6 text-orange-500"
									aria-hidden="true"
									xmlns="http://www.w3.org/2000/svg"
									width="24"
									height="24"
									fill="none"
									viewBox="0 0 24 24"
								>
									<path
										stroke="currentColor"
										stroke-linecap="round"
										stroke-linejoin="round"
										stroke-width="2"
										d="M4 10h16M8 14h8m-4-7V4M7 7V4m10 3V4M5 20h14a1 1 0 0 0 1-1V7a1 1 0 0 0-1-1H5a1 1 0 0 0-1 1v12a1 1 0 0 0 1 1Z"
									/>
								</svg>
								<p th:text="${session.date}"></p>
							</div>
						</div>
						<img
							class="hidden lg:block relative -bottom-3 -left-1"
							th:src="@{'/img/handtoga.png'}"
							alt="handtoga"
						/>
					</div>
					<div>
						<div class="flex justify-between items-center mb-5">
							<p class="font-semibold text-gray-800 dark:text-gray-300">
								Jadwal Kuliah Hari Ini
							</p>
							<p
								class="flex gap-2 items-center text-gray-600 dark:text-gray-400"
							>
								<svg
									xmlns="http://www.w3.org/2000/svg"
									fill="none"
									viewBox="0 0 24 24"
									stroke-width="1.5"
									stroke="currentColor"
									class="size-6"
								>
									<path
										stroke-linecap="round"
										stroke-linejoin="round"
										d="M6.75 3v2.25M17.25 3v2.25M3 18.75V7.5a2.25 2.25 0 0 1 2.25-2.25h13.5A2.25 2.25 0 0 1 21 7.5v11.25m-18 0A2.25 2.25 0 0 0 5.25 21h13.5A2.25 2.25 0 0 0 21 18.75m-18 0v-7.5A2.25 2.25 0 0 1 5.25 9h13.5A2.25 2.25 0 0 1 21 11.25v7.5"
									/>
								</svg>
								<span th:text="${session.date}">Senin, 24 Juli 2024</span>
							</p>
						</div>
						<!-- alert tidak ada matakuliah -->
						<div
							class="flex items-center p-4 mb-4 text-sm text-blue-800 rounded-lg bg-blue-50 dark:bg-gray-800 dark:text-blue-400"
							role="alert"
						>
							<svg
								class="flex-shrink-0 inline w-4 h-4 me-3"
								aria-hidden="true"
								xmlns="http://www.w3.org/2000/svg"
								fill="currentColor"
								viewBox="0 0 20 20"
							>
								<path
									d="M10 .5a9.5 9.5 0 1 0 9.5 9.5A9.51 9.51 0 0 0 10 .5ZM9.5 4a1.5 1.5 0 1 1 0 3 1.5 1.5 0 0 1 0-3ZM12 15H8a1 1 0 0 1 0-2h1v-3H8a1 1 0 0 1 0-2h2a1 1 0 0 1 1 1v4h1a1 1 0 0 1 0 2Z"
								/>
							</svg>
							<span class="sr-only">Info</span>
							<div>Hari ini anda tidak memiliki jadwal kuliah,,</div>
						</div>
						<!-- list matkul -->
						<ul>
							<li></li>
						</ul>
					</div>
					<div>
						<div class="flex justify-between items-center mb-5">
							<p class="font-semibold text-gray-800 dark:text-gray-300">
								Jadwal Kuliah Besok
							</p>
							<a
								th:href="@{'#'}"
								class="flex gap-2 items-center text-blue-600 dark:text-orange-400 hover:text-orange-500 dark:hover:text-blue-500"
							>
								<svg
									xmlns="http://www.w3.org/2000/svg"
									fill="none"
									viewBox="0 0 24 24"
									stroke-width="1.5"
									stroke="currentColor"
									class="size-6"
								>
									<path
										stroke-linecap="round"
										stroke-linejoin="round"
										d="M3.75 12h16.5m-16.5 3.75h16.5M3.75 19.5h16.5M5.625 4.5h12.75a1.875 1.875 0 0 1 0 3.75H5.625a1.875 1.875 0 0 1 0-3.75Z"
									/>
								</svg>
								<span>Lihat Semua Jadwal</span>
							</a>
						</div>
						<!-- list matakuliah besok -->
						<ul>
							<li>
								<div
									class="grid grid-cols-1 md:grid-cols-2 gap-6 p-4 md:p-6 relative overflow-hidden rounded-xl shadow bg-white dark:bg-gray-800"
								>
									<img
										class="absolute top-0 bottom-0 left-0 w-28"
										th:src="@{'/img/ornament.svg'}"
										alt=""
									/>
									<div>
										<div>
											<p
												class="text-lg font-semibold text-gray-800 dark:text-gray-200"
											>
												UI UX Design Principle
											</p>
											<p
												class="flex gap-2 items-center text-gray-700 dark:text-gray-300"
											>
												<svg
													class="size-4 text-orange-500"
													xmlns="http://www.w3.org/2000/svg"
													viewBox="0 0 24 24"
													width="24"
													height="24"
													color="#000000"
													fill="none"
												>
													<path
														d="M19 10C16.995 9.36815 14.5882 9 12 9C9.41179 9 7.00499 9.36815 5 10V13.5C7.00499 12.8682 9.41179 12.5 12 12.5C14.5882 12.5 16.995 12.8682 19 13.5V10Z"
														stroke="currentColor"
														stroke-width="1.5"
														stroke-linejoin="round"
													/>
													<path
														d="M19 13V15.0232C19 17.1542 17.9679 19.129 16.2812 20.2254L14.8812 21.1354C13.1078 22.2882 10.8922 22.2882 9.11882 21.1354L7.71883 20.2254C6.03206 19.129 5 17.1542 5 15.0232V13"
														stroke="currentColor"
														stroke-width="1.5"
														stroke-linecap="round"
													/>
													<path
														d="M19 10L20.1257 9.4071C21.3888 8.57875 22.0203 8.16457 21.9995 7.57281C21.9787 6.98105 21.32 6.62104 20.0025 5.90101L15.2753 3.31756C13.6681 2.43919 12.8645 2 12 2C11.1355 2 10.3319 2.43919 8.72468 3.31756L3.99753 5.90101C2.68004 6.62104 2.02129 6.98105 2.0005 7.57281C1.9797 8.16457 2.61125 8.57875 3.87434 9.4071L5 10"
														stroke="currentColor"
														stroke-width="1.5"
														stroke-linecap="round"
													/>
												</svg>
												Dofir Fauzi
											</p>
											<p
												class="flex gap-2 items-center text-gray-700 dark:text-gray-300"
											>
												<svg
													class="size-4 text-orange-500"
													xmlns="http://www.w3.org/2000/svg"
													viewBox="0 0 24 24"
													width="24"
													height="24"
													color="#000000"
													fill="none"
												>
													<path
														d="M7.5 4.94531H16C16.8284 4.94531 17.5 5.61688 17.5 6.44531V7.94531"
														stroke="currentColor"
														stroke-width="1.5"
														stroke-linecap="round"
														stroke-linejoin="round"
													/>
													<path
														d="M15 12.9453H9"
														stroke="currentColor"
														stroke-width="1.5"
														stroke-linecap="round"
														stroke-linejoin="round"
													/>
													<path
														d="M12 16.9453H9"
														stroke="currentColor"
														stroke-width="1.5"
														stroke-linecap="round"
														stroke-linejoin="round"
													/>
													<path
														d="M18.497 2L6.30767 2.00002C5.81071 2.00002 5.30241 2.07294 4.9007 2.36782C3.62698 3.30279 2.64539 5.38801 4.62764 7.2706C5.18421 7.7992 5.96217 7.99062 6.72692 7.99062H18.2835C19.077 7.99062 20.5 8.10439 20.5 10.5273V17.9812C20.5 20.2007 18.7103 22 16.5026 22H7.47246C5.26886 22 3.66619 20.4426 3.53959 18.0713L3.5061 5.16638"
														stroke="currentColor"
														stroke-width="1.5"
														stroke-linecap="round"
													/>
												</svg>
												3 SKS
											</p>
										</div>
									</div>
									<div class="grid grid-cols-2 gap-4 lg:gap-8">
										<div class="flex gap-2">
											<div
												class="flex items-center justify-center bg-orange-500 size-8 rounded text-center text-white"
											>
												<svg
													xmlns="http://www.w3.org/2000/svg"
													fill="none"
													viewBox="0 0 24 24"
													stroke-width="1.5"
													stroke="currentColor"
													class="size-6"
												>
													<path
														stroke-linecap="round"
														stroke-linejoin="round"
														d="M12 6v6h4.5m4.5 0a9 9 0 1 1-18 0 9 9 0 0 1 18 0Z"
													/>
												</svg>
											</div>
											<div>
												<p
													class="font-semibold leading-none text-gray-700 dark:text-gray-300"
												>
													Waktu
												</p>
												<p class="text-gray-600 dark:text-gray-400">
													07:00-09:00 WIB
												</p>
											</div>
										</div>
										<div class="flex gap-2">
											<div
												class="flex items-center justify-center bg-orange-500 size-8 rounded text-center text-white"
											>
												<svg
													xmlns="http://www.w3.org/2000/svg"
													fill="none"
													viewBox="0 0 24 24"
													stroke-width="1.5"
													stroke="currentColor"
													class="size-6"
												>
													<path
														stroke-linecap="round"
														stroke-linejoin="round"
														d="M3.75 3v11.25A2.25 2.25 0 0 0 6 16.5h2.25M3.75 3h-1.5m1.5 0h16.5m0 0h1.5m-1.5 0v11.25A2.25 2.25 0 0 1 18 16.5h-2.25m-7.5 0h7.5m-7.5 0-1 3m8.5-3 1 3m0 0 .5 1.5m-.5-1.5h-9.5m0 0-.5 1.5m.75-9 3-3 2.148 2.148A12.061 12.061 0 0 1 16.5 7.605"
													/>
												</svg>
											</div>
											<div>
												<p
													class="font-semibold leading-none text-gray-700 dark:text-gray-300"
												>
													Pertemuan
												</p>
												<p class="text-gray-600 dark:text-gray-400">
													Sesi Ke 2
												</p>
											</div>
										</div>
										<div class="flex gap-2">
											<div
												class="flex items-center justify-center bg-orange-500 size-8 rounded text-center text-white"
											>
												<svg
													xmlns="http://www.w3.org/2000/svg"
													fill="none"
													viewBox="0 0 24 24"
													stroke-width="1.5"
													stroke="currentColor"
													class="size-6"
												>
													<path
														stroke-linecap="round"
														stroke-linejoin="round"
														d="M3.75 21h16.5M4.5 3h15M5.25 3v18m13.5-18v18M9 6.75h1.5m-1.5 3h1.5m-1.5 3h1.5m3-6H15m-1.5 3H15m-1.5 3H15M9 21v-3.375c0-.621.504-1.125 1.125-1.125h3.75c.621 0 1.125.504 1.125 1.125V21"
													/>
												</svg>
											</div>
											<div>
												<p
													class="font-semibold leading-none text-gray-700 dark:text-gray-300"
												>
													Ruang
												</p>
												<p class="text-gray-600 dark:text-gray-400">
													Kelas 1.4
												</p>
											</div>
										</div>
										<div class="flex gap-2">
											<div
												class="flex items-center justify-center bg-orange-500 size-8 rounded text-center text-white"
											>
												<svg
													xmlns="http://www.w3.org/2000/svg"
													fill="none"
													viewBox="0 0 24 24"
													stroke-width="1.5"
													stroke="currentColor"
													class="size-6"
												>
													<path
														stroke-linecap="round"
														stroke-linejoin="round"
														d="M10.125 2.25h-4.5c-.621 0-1.125.504-1.125 1.125v17.25c0 .621.504 1.125 1.125 1.125h12.75c.621 0 1.125-.504 1.125-1.125v-9M10.125 2.25h.375a9 9 0 0 1 9 9v.375M10.125 2.25A3.375 3.375 0 0 1 13.5 5.625v1.5c0 .621.504 1.125 1.125 1.125h1.5a3.375 3.375 0 0 1 3.375 3.375M9 15l2.25 2.25L15 12"
													/>
												</svg>
											</div>
											<div>
												<p
													class="font-semibold leading-none text-gray-700 dark:text-gray-300"
												>
													Presensi
												</p>
												<p class="text-gray-600 dark:text-gray-400">
													Belum Tercatat
												</p>
											</div>
										</div>
									</div>
								</div>
							</li>
						</ul>
					</div>
				</div>

				<div class="col-span-3 lg:col-span-1 space-y-8">
					<!-- info ips dan ipk -->
					<div class="grid grid-cols-2 gap-6">
						<div class="flex gap-2 justify-center p-4 rounded-xl bg-blue-600">
							<svg
								class="w-12 h-12 text-white"
								aria-hidden="true"
								xmlns="http://www.w3.org/2000/svg"
								width="24"
								height="24"
								fill="none"
								viewBox="0 0 24 24"
							>
								<path
									stroke="currentColor"
									stroke-linecap="round"
									stroke-linejoin="round"
									stroke-width="2"
									d="M3 15v4m6-6v6m6-4v4m6-6v6M3 11l6-5 6 5 5.5-5.5"
								/>
							</svg>
							<div>
								<p class="text-lg font-semibold text-white">IPS</p>
								<p class="text-blue-100 leading-none" th:text="${session?.ips} ?: '0'">3.5</p>
							</div>
						</div>
						<div class="flex gap-2 justify-center p-4 rounded-xl bg-orange-500">
							<svg
								class="w-12 h-12 text-white"
								aria-hidden="true"
								xmlns="http://www.w3.org/2000/svg"
								width="24"
								height="24"
								fill="none"
								viewBox="0 0 24 24"
							>
								<path
									stroke="currentColor"
									stroke-linecap="round"
									stroke-linejoin="round"
									stroke-width="2"
									d="M3 15v4m6-6v6m6-4v4m6-6v6M3 11l6-5 6 5 5.5-5.5"
								/>
							</svg>
							<div>
								<p class="text-lg font-semibold text-white">IPK</p>
								<p class="text-orange-100 leading-none" th:text="${session.ipk} ?: '0'">3.4</p>
							</div>
						</div>
					</div>
					<!-- chart IPS -->
					<div class="p-4 md:p-6 rounded-xl shadow bg-white dark:bg-gray-800">
						<div class="flex items-center gap-2">
							<svg
								class="w-6 h-6 text-blue-600"
								aria-hidden="true"
								xmlns="http://www.w3.org/2000/svg"
								width="24"
								height="24"
								fill="none"
								viewBox="0 0 24 24"
							>
								<path
									stroke="currentColor"
									stroke-linecap="round"
									stroke-linejoin="round"
									stroke-width="2"
									d="M3 15v4m6-6v6m6-4v4m6-6v6M3 11l6-5 6 5 5.5-5.5"
								/>
							</svg>
							<span class="text-lg text-gray-700 dark:text-gray-300"
								>Grafik Index Prestasi Semester</span
							>
						</div>
						<div id="ips-chart"></div>
					</div>
					<!-- calendar -->
					<div class="rounded-xl shadow bg-white dark:bg-gray-800">
						<div
							class="flex items-center gap-2 px-4 md:px-6 py-3 border-b border-gray-100 dark:border-gray-700"
						>
							<svg
								xmlns="http://www.w3.org/2000/svg"
								fill="none"
								viewBox="0 0 24 24"
								stroke-width="1.5"
								stroke="currentColor"
								class="size-6 text-blue-500"
							>
								<path
									stroke-linecap="round"
									stroke-linejoin="round"
									d="M6.75 3v2.25M17.25 3v2.25M3 18.75V7.5a2.25 2.25 0 0 1 2.25-2.25h13.5A2.25 2.25 0 0 1 21 7.5v11.25m-18 0A2.25 2.25 0 0 0 5.25 21h13.5A2.25 2.25 0 0 0 21 18.75m-18 0v-7.5A2.25 2.25 0 0 1 5.25 9h13.5A2.25 2.25 0 0 1 21 11.25v7.5"
								/>
							</svg>
							<span class="text-lg text-gray-700 dark:text-gray-300"
								>Kalender</span
							>
						</div>
						<div
							class="px-4 md:px-6 py-3 border-b border-gray-100 dark:border-gray-700"
						>
							<div class="flex justify-between items-center">
								<h2
									id="current-month"
									class="text-gray-700 dark:text-gray-300 text-base"
								>
									June 2024
								</h2>
								<div id="calendar-navigation">
									<button
										id="prev-btn"
										class="text-lg p-2.5 rounded-lg text-gray-700 hover:bg-gray-100 hover:text-gray-800 dark:text-gray-300 dark:hover:bg-gray-700 dark:hover:text-gray-200"
										type="button"
									>
										<span class="sr-only">Previous month</span
										><svg
											xmlns="http://www.w3.org/2000/svg"
											fill="none"
											viewBox="0 0 24 24"
											stroke-width="1.5"
											stroke="currentColor"
											class="w-4 h-4"
										>
											<path
												stroke-linecap="round"
												stroke-linejoin="round"
												d="M15.75 19.5L8.25 12l7.5-7.5"
											></path>
										</svg>
									</button>

									<button
										id="next-btn"
										type="button"
										class="text-lg p-2.5 rounded-lg text-gray-700 hover:bg-gray-100 hover:text-gray-800 dark:text-gray-300 dark:hover:bg-gray-700 dark:hover:text-gray-200"
									>
										<svg
											xmlns="http://www.w3.org/2000/svg"
											fill="none"
											viewBox="0 0 24 24"
											stroke-width="1.5"
											stroke="currentColor"
											class="w-4 h-4"
										>
											<path
												stroke-linecap="round"
												stroke-linejoin="round"
												d="M8.25 4.5l7.5 7.5-7.5 7.5"
											></path>
										</svg>
									</button>
								</div>
							</div>
							<div class="mt-2 grid grid-cols-7 text-center text-sm">
								<div class="text-gray-700 dark:text-gray-300">Mo</div>
								<div class="text-gray-700 dark:text-gray-300">Tu</div>
								<div class="text-gray-700 dark:text-gray-300">We</div>
								<div class="text-gray-700 dark:text-gray-300">Th</div>
								<div class="text-gray-700 dark:text-gray-300">Fr</div>
								<div class="text-gray-700 dark:text-gray-300">Sa</div>
								<div class="text-gray-700 dark:text-gray-300">Su</div>
							</div>
							<div
								id="calendar-dates"
								class="mt-2 grid grid-cols-7 gap-1"
							></div>
						</div>
						<div class="px-4 md:px-6 py-3">
							<p
								id="selected-date"
								class="text-gray-700 dark:text-gray-300 mb-2"
							>
								Monday, 10 June 2024
							</p>
							<ul id="event-list" class="space-y-2">
								<li class="flex items-center gap-2">
									<div class="size-2 rounded-full bg-orange-500"></div>
									<span class="text-gray-600 dark:text-gray-400"
										>Hari Raya Idul Adha</span
									>
								</li>
							</ul>
						</div>
					</div>
				</div>
			</div>
		</div>
	</body>
</html>
<script src="https://cdn.jsdelivr.net/npm/apexcharts"></script>
<script>
	// Function to fetch data from API
	async function fetchChartData() {
		try {
			const response = await fetch('/student/get-graphic-ips/1');
			const data = await response.json();

			if (data.responseCode === "00") {
				return data.data;
			} else {
				throw new Error('Failed to fetch data');
			}
		} catch (error) {
			console.error('Error fetching chart data:', error);
			return [];
		}
	}

	// Function to process API data and update chart
	async function updateChart() {
		const apiData = await fetchChartData();

		const categories = apiData.map(item => `Semester ${item.semester}`);
		const seriesData = apiData.map(item => item.currentIp);

		const options = {
			chart: {
				height: "100%",
				maxWidth: "100%",
				type: "area",
				fontFamily: "Inter, sans-serif",
				dropShadow: {
					enabled: false,
				},
				toolbar: {
					show: false,
				},
			},
			tooltip: {
				enabled: true,
				x: {
					show: false,
				},
			},
			fill: {
				type: "gradient",
				gradient: {
					opacityFrom: 0.55,
					opacityTo: 0,
					shade: "#1C64F2",
					gradientToColors: ["#1C64F2"],
				},
			},
			dataLabels: {
				enabled: false,
			},
			stroke: {
				width: 6,
			},
			grid: {
				show: false,
				strokeDashArray: 4,
				padding: {
					left: 2,
					right: 2,
					top: 0,
				},
			},
			series: [
				{
					name: "IPS",
					data: seriesData,
					color: "#0F7AFF",
				},
			],
			xaxis: {
				categories: categories,
				labels: {
					show: false,
				},
				axisBorder: {
					show: false,
				},
				axisTicks: {
					show: false,
				},
			},
			yaxis: {
				show: false,
			},
		};

		const chart = new ApexCharts(document.getElementById("ips-chart"), options);
		chart.render();
	}

	// Call the function to update chart on page load
	updateChart();
</script>
